Bug 468120 - Review Request: sugar-implode - Implode for Sugar
Review Request: sugar-implode - Implode for Sugar
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-10-22 18:47 EDT by Fabian Affolter
Modified: 2009-05-13 07:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-13 07:46:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tuxbrewr: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OLPC 8965 None None None Never

  None (edit)
Description Fabian Affolter 2008-10-22 18:47:28 EDT
Spec URL: http://fab.fedorapeople.org/packages/XO/sugar-implode.spec
SRPM URL: http://fab.fedorapeople.org/packages/XO/sugar-implode-5-1.fc10.src.rpm

Upstream URL: http://wiki.laptop.org/go/Implode

Description:
Implode is a logic game based on the "falling block" model of Tetris. The game
starts with a grid partially filled with blocks. The player makes a move by 
removing adjacent blocks of the same color in groups of three or more. When 
blocks are removed, higher blocks fall to fill their space, and when a column 
is cleared, the blocks on either side close to fill the gap. The object of the
game is to remove all the blocks. Since the patterns of blocks above changes
when lower blocks are removed, the player must carefully decide what order
in which to remove the blocks so that there are no isolated blocks left at
the end of the game. The levels are generated in such a way that there is
always a sequence of removals that clears the board.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=896754

[fab@localhost noarch]$ rpmlint -i sugar-implode-5-1.fc10.noarch.rpm 
sugar-implode.noarch: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@localhost SRPMS]$ rpmlint -i sugar-implode-5-1.fc10.src.rpm 
sugar-implode.src: W: non-standard-group Sugar/Activities
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Marco Pesenti Gritti 2008-10-29 07:00:42 EDT
I would run "python setup.py..." instead of doing a chmod. Also what is the reason of the chmod on all the activity files?
Comment 2 Fabian Affolter 2008-10-29 08:46:53 EDT
Thanks Marco, for your input.

The reason to add exec permission to those files was that rpmlint complain about most *.py files in ...Implode.activity/ 

[fab@laptop24 noarch]$ rpmlint -i sugar-implode-5-1.fc10.noarch.rpm 
sugar-implode.noarch: E: non-executable-script /usr/share/sugar/activities/Implode.activity/gridwidget.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.
Comment 3 Steven M. Parrish 2009-01-15 10:57:07 EST
MUST: rpmlint must be run on every package. The output should be posted in the
review.

1 warning but does not apply to Sugar   OK

- MUST: The package must be named according to the Package Naming Guidelines .

OK.  

- MUST: The spec file name must match the base package %{name}, in the format 
%{name}.spec unless your package has an exemption on Package Naming Guidelines
.

OK.

- MUST: The package must meet the Packaging Guidelines .

OK.

- MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .

OK.

- MUST: The License field in the package spec file must match the actual
license.


OK.


- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

N/A

- MUST: The spec file must be written in American English.

OK.

- MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).

OK.

- MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

OK.

- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

OK.

- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next
to the corresponding ExcludeArch line. New packages will not have bugzilla
entries during the review process, so they should put this description in the
comment until the package is approved, then file the bugzilla entry, and
replace the long explanation with the bug number. The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc ,
FE-ExcludeArch-ppc64

OK


- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

OK

- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

OK.

- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


NA.

- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

NA.

- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

OK.

- MUST: A package must not contain any duplicate files in the %files listing.

OK.

- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

OK.

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} ( or $RPM_BUILD_ROOT ).

OK.

- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines .

OK.

- MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines .

OK.

- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity)

NA.

- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

OK.

- MUST: Header files must be in a -devel package.

NA.

- MUST: Static libraries must be in a -static package.

NA.

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).

NA.

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.

NA.

- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}

NA.

- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.

OK.

- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
the Packaging Guidelines . If you feel that your packaged GUI application does
not need a .desktop file, you must put a comment in the spec file with your
explanation.

N/A

- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.

OK.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.

OK.

- MUST: All filenames in rpm packages must be valid UTF-8.

OK.


Assume no .desktop is needed since this is for Sugar.  Package is approved.
Comment 4 Fabian Affolter 2009-01-15 12:07:48 EST
New Package CVS Request
=======================
Package Name: sugar-implode
Short Description: Implode for Sugar
Owners: fab
Branches: F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-01-15 15:37:37 EST
cvs done.
Comment 6 Fabian Affolter 2009-01-15 19:20:20 EST
Thank you both for reviewing and cvs.
Comment 7 Fedora Update System 2009-01-15 19:40:33 EST
sugar-implode-5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-implode-5-1.fc10
Comment 8 Fedora Update System 2009-01-16 18:48:12 EST
sugar-implode-5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-implode'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0686
Comment 9 Peter Robinson 2009-05-13 07:46:16 EDT
Built and in rawhide

Note You need to log in before you can comment on or make changes to this bug.